MyGUI: delegates::CDelegateMYGUI_SUFFIX Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions
delegates::CDelegateMYGUI_SUFFIX Class Reference

`#include <MyGUI_DelegateImplement.h>`

## Public Types
typedef IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS | IDelegate

## Public Member Functions
| CDelegateMYGUI_SUFFIX ()
| CDelegateMYGUI_SUFFIX (const CDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS &_event)
| ~ CDelegateMYGUI_SUFFIX ()
bool | empty () const
void | clear ()
CDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS & | operator= (IDelegate *_delegate)
CDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS & | operator= (const CDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS &_event)
void | operator() (MYGUI_PARAMS)

## Detailed Description

Definition at line 136 of file MyGUI_DelegateImplement.h.

## Member Typedef Documentation

## ◆ IDelegate

typedef IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS delegates::CDelegateMYGUI_SUFFIX::IDelegate

Definition at line 139 of file MyGUI_DelegateImplement.h.

## Constructor & Destructor Documentation

## ◆ CDelegateMYGUI_SUFFIX() [1/2]

delegates::CDelegateMYGUI_SUFFIX::CDelegateMYGUI_SUFFIX | ( |  | ) |
| inline

Definition at line 141 of file MyGUI_DelegateImplement.h.

## ◆ CDelegateMYGUI_SUFFIX() [2/2]

delegates::CDelegateMYGUI_SUFFIX::CDelegateMYGUI_SUFFIX | ( | const CDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS & | _event | ) |
| inline

Definition at line 142 of file MyGUI_DelegateImplement.h.

## ◆ ~ CDelegateMYGUI_SUFFIX()

delegates::CDelegateMYGUI_SUFFIX::~ CDelegateMYGUI_SUFFIX | ( |  | ) |
| inline

Definition at line 149 of file MyGUI_DelegateImplement.h.

## Member Function Documentation

## ◆ clear()

void delegates::CDelegateMYGUI_SUFFIX::clear | ( |  | ) |
| inline

Definition at line 159 of file MyGUI_DelegateImplement.h.

## ◆ empty()

bool delegates::CDelegateMYGUI_SUFFIX::empty | ( |  | ) | const
| inline

Definition at line 154 of file MyGUI_DelegateImplement.h.

## ◆ operator()()

void delegates::CDelegateMYGUI_SUFFIX::operator() | ( | MYGUI_PARAMS |  | ) |
| inline

Definition at line 189 of file MyGUI_DelegateImplement.h.

## ◆ operator=() [1/2]

CDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS& delegates::CDelegateMYGUI_SUFFIX::operator= | ( | const CDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS & | _event | ) |
| inline

Definition at line 172 of file MyGUI_DelegateImplement.h.

## ◆ operator=() [2/2]

CDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS& delegates::CDelegateMYGUI_SUFFIX::operator= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 165 of file MyGUI_DelegateImplement.h.

The documentation for this class was generated from the following file:

- MyGUI_DelegateImplement.h